
function startNaechsteAuktion(los_nr){
	clearInterval(interval_id);
	los_nr++;
	if(los_nr <= charge_data['info']['anzAuk']){
		document.getElementById('los_nr').value = los_nr;
		los(los_nr);
	}
	else{
		viewLetzteAuktion(los_nr);
		viewAktuelleAuktion(los_nr);
		viewCanvasData(los_nr);

		document.getElementById('los_nr').value == -1;
		charge();
	}
};

function runden2Nachkomma(zahl){
	Ergebnis = Math.round(zahl *100) / 100;
	return Ergebnis;
};

function calcVkPreis(los_nr){
	tmp = charge_data[los_nr]['startPreis'] 
		- (((charge_data[los_nr]['startPreis'] - charge_data[los_nr]['minPreis'])
		/ charge_data[los_nr]['auktionDauer']) 
		* charge_data[los_nr]['auktionLaufzeit']);
		
	charge_data[los_nr]['vkPreis'] = runden2Nachkomma(tmp);
};

function kaufen(buyguy){
	los_nr = document.getElementById('los_nr').value;
	startNaechsteAuktion(los_nr);
	sendLog(buyguy, los_nr);
};